org.eclipse.incquery.runtime.matchers.psystem

## Class DeferredPConstraint

- java.lang.Object
- - org.eclipse.incquery.runtime.matchers.psystem.BasePConstraint
  - - org.eclipse.incquery.runtime.matchers.psystem.DeferredPConstraint

- All Implemented Interfaces:
    PConstraint
  Direct Known Subclasses:
    Equality, VariableDeferredPConstraint

      public abstract class DeferredPConstraint
      extends BasePConstraint

  Any constraint that can only be checked on certain SubPlans (e.g. those plans that already contain some variables).
  Author:
    Gabor Bergmann

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.incquery.runtime.matchers.psystem.PConstraint

      `PConstraint.CompareByMonotonousID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeferredPConstraint(PBody pBody, java.util.Set<PVariable> affectedVariables)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `isReadyAt(SubPlan plan, IQueryMetaContext context)`

    - ### Methods inherited from class org.eclipse.incquery.runtime.matchers.psystem.BasePConstraint

      `checkSanity, delete, getAffectedVariables, getFunctionalDependencies, getMonotonousID, getPSystem, replaceVariable, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.incquery.runtime.matchers.psystem.PConstraint

      `getDeducedVariables`

- - ### Constructor Detail

    - #### DeferredPConstraint

          public DeferredPConstraint(PBody pBody,
                                     java.util.Set<PVariable> affectedVariables)

  - ### Method Detail

    - #### isReadyAt

          public abstract boolean isReadyAt(SubPlan plan,
                                            IQueryMetaContext context)